function A=givensrot(A,spalte,k,l)
%
%   A=givensrot(A,spalte,k,l)
%
% Berechne Givens-Rotation Omega^{(spalte)}_{k,l}*A so, 
% dass A_{l,spalte} zu 0 gesetzt wird.
%
% fuer Produkt A*Omega': A=givensrot(A',...)'
%
n=size(A,1);
xk=A(k,spalte);
xl=A(l,spalte);
if xl==0 return; end;
if abs(xl)>abs(xk)
    t=xk/xl;
    s=1/sqrt(1+t^2);
    c=s*t;
else
    t=xl/xk;
    c=1/sqrt(1+t^2);
    s=c*t;
end;

tmp=c*A(k,:)+s*A(l,:);
A(l,:)=-s*A(k,:)+c*A(l,:);
A(k,:)=tmp;
A(l,spalte)=0;
